#include <bits/stdc++.h>
using namespace std;
string s;
int n;
int rez;


int main () {
cin >> n >> s;
if (n<26) {
    cout << 0 << endl;
}

if (n==26) {
        cout << 0 << endl;
    }

else if (n==27) {
        cout << 1 << endl;
    }

else cout << 1 << endl;



return 0;
}